Bug 722296 - build failure on ppc, libxl directories not found
build failure on ppc, libxl directories not found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
powerpc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Alphappc
  Show dependency treegraph
 
Reported: 2011-07-14 16:49 EDT by Karsten Hopp
Modified: 2012-03-14 09:06 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-14 11:03:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2011-07-14 16:49:54 EDT
Description of problem:
RPM build errors:
    File not found: /builddir/build/BUILDROOT/libvirt-0.9.3-2.fc16.ppc/var/log/libvirt/libxl
    File not found: /builddir/build/BUILDROOT/libvirt-0.9.3-2.fc16.ppc/var/run/libvirt/libxl
    File not found: /builddir/build/BUILDROOT/libvirt-0.9.3-2.fc16.ppc/var/lib/libvirt/libxl
Child returncode was: 1

Related is this output of configure:
checking for libxl_domain_create_new in -lxenlight... no

This later on sets 'WITH_LIBXL_TRUE=#' and thus disables creation of those directories.

Version-Release number of selected component (if applicable):
libvirt-0.9.3-2.fc16

How reproducible:
always

Steps to Reproduce:
1. try to build on a ppc system 
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=252599

Expected results:


Additional info:
Comment 1 Karsten Hopp 2011-07-27 17:34:37 EDT
the same issue exists on s390:
http://s390.koji.fedoraproject.org/koji/getfile?taskID=435601&name=build.log
Comment 2 Karsten Hopp 2011-09-14 11:03:37 EDT
libvirt-0.9.4-1.fc16 built fine on s390x and ppc, closing...

Note You need to log in before you can comment on or make changes to this bug.